/* ccgo: sgf/sgf.cc
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 *
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#include "sgf.hh"
#include <cctype>
#include <sstream>
using namespace std;
using namespace sgf;

void sgf::skip_white(istream & f)
{
	if (f.eof()) return;
	while (isspace(f.peek())) {
		f.get();
		if (f.eof()) return;
	}
}

void sgf::skip_til_char(istream & f, char c)
{
	if (f.eof()) return;
	while (f.peek() != c) {
		f.get();
		if (f.eof()) return;
	}
}

Tree * sgf::load_tree(istream & f)
{
	sgf::Tree * t = new Tree;

	while (! f.eof()) {
		while ((! f.eof()) && f.peek() != '(') f.get();
		if (f.eof()) break;
		if (t->load(f)) return t;
	}
	delete t;
	return NULL;
}
