/* ccgo: view.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef VIEW_HH
#define VIEW_HH
#include "view_walk.hh"
#include <gtkmm/label.h>
#include <gtkmm/button.h>
#include <gtkmm/aspectframe.h>
#include <gtkmm/adjustment.h>
#include <gtkmm/textview.h>
#include <gtkmm/paned.h>
#include <gtkmm/box.h>

namespace go {
	class View :
		public Gtk::VPaned
	{
		ViewWalk walk;
		Walk tail;
		Gtk::Label title;
		Gtk::Adjustment * p_adj;
		Gtk::Label n_move;
		Gtk::Button sel_a;
		Gtk::Button sel_b;
		void change_position();
		void set_range();
		void change_score();
		void set_selection();
		void select_a();
		void select_b();
		Gtk::VBox button_area;
	public:
		View(Node *);
		~View();
		virtual void forward();
		virtual void backward();
		Gtk::VBox & get_button_area();
	};
}
#endif // VIEW_HH
